from typing import Optional
from fastapi import APIRouter

from fastapi import Depends
from sqlalchemy.orm import Session
from app import schemas

import app.crud as crud
from utils.sx_time import sxtimeit
from utils.sx_web import web_try
from fastapi_pagination import Page, add_pagination, paginate, Params

from app import get_db



router = APIRouter(
    prefix="/jpt/jm_job_log",
    tags=["jm_job_log-定时任务日志管理"],
)


@router.get("/")
@web_try()
@sxtimeit
def get_job_logs(db: Session = Depends(get_db)):
    jm_log_infos = crud.get_jm_job_infos(db)
    jm_job_id_list = [jm_job.id for jm_job in jm_log_infos]
    return crud.get_jm_job_logs(db,jm_job_id_list)